Subject: Re: [MMUSIC] Last Call: <draft-ietf-mmusic-ice-options-registry-01.txt> (IANA Registry for Interactive Connectivity Establishment (ICE) Options) to Proposed Standard

From: Magnus Westerlund <[email-masked]>
Date: Mon, 2 May 2011 10:44:39 +0200

Hi,

When the last call has ended I will update the draft with the changes
identified.

Mykyta Yevstifeyev skrev 2011-04-29 18:04:
> Magnus,
> 
> 29.04.2011 11:47, Magnus Westerlund wrote:
>> Hi Mykyta,
>>
>> Thanks for the review.
>>
>> See inline for response.
>>
>> Mykyta Yevstifeyev skrev 2011-04-28 19:22:
>>> Hello,
>>>
>>> Some comments on this document, currently in Last Call.
>>>
>>>> Network Working Group                                      M. Westerlund
>>>> Internet-Draft                                                  Ericsson
>>>> Updates: 5245 (if approved)                                   C. Perkins
>>>> Intended status: Standards Track                   University of Glasgow
>>>> Expires: September 29, 2011                               March 28, 2011
>>> I don't see why the intended status for this document is Standards
>>> Track.  Wouldn't Informational be enough?  Could you please justify why
>>> have you chosen it?
>> I don't think we have put much thought into it. But one reason I can
>> think of is to have it on the same maturity level as the ICE
>> specification itself. Thus enabling a merge of this registry into an
>> update of RFC 5245 without forcing it to be recycled as proposed.
> This is a good reason, so I'll agree with it.

Ok

>>> Your registry description does not mention what is the precise name of
>>> the registry.  While everybody understands that is sands for ICE
>>> options, it would be useful to give IANA distinctive guidelines on its
>>> name (this is also required in RFC5226, Section 4.2, 1) in the list;
>>> http://tools.ietf.org/html/rfc5226#section-4.2).
>>
>> Yes, I agree that it should be included in Section 3.1 of our document
>> rather than only in the title which says "Interactive Connectivity
>> Establishment (ICE) Options"
> Agreed on this.  Such name is fine, IMO.

Ok

>>>  From RFC 5226, also Section 4.2:
>>>
>>>>   5) Initial assignments and reservations.  Clear instructions
>>>>           should be provided to identify any initial assignments or
>>>>           registrations.  In addition, any ranges that are to be reserved
>>>>   for "Private Use", "Reserved", "Unassigned", etc. should be
>>>>           clearly indicated.
>>> Are there any initial assignments?  Your document mentions one option;
>>> shouldn't it be registered?
>> No, because when draft-ietf-avtcore-rtp-ecn gets published that will
>> actually do the registration. As that document isn't approved yet and in
>> fact still not WG last called this registry will first be created empty
>> and then populated.
> So you should have mentioned this in the draft as well.

Ok, will clarify.

>>>>   A registration request MUST include the following information:
>>>>
>>>>     [ . . . ]
>>> Shall this be mentioned as a registration template?
>> It isn't written as one. It is a list of what needs to be present in the
>> registration. And I think a template would be more focused on what needs
>> to the general categories rather than the information. Thus I don't want
>> this as registration template.
> OK, this matter is not very important.
>>>> o  Email and Address of the Contact person
>>> I think you should add the name of the contact person to the name of
>>> this field as well.
>> As the two first bullets are:
>>
>>     o  Name of contact person for the registration
>>
>>     o  Email and Address of the Contact person
>>
>> I don't quite understand your comment. Do you want us to merge the two
>> entries? This as the contact persons will need to provide name, email
>> and address. I am fine with merging them and this is likely a slight
>> improvement.
> No, I didn't propose to merge it.  I just proposed to rename this field 
> as "Name, Email and Addresses of the Contact Person".

I think it is logical to have only one entry saying:

"Name, Email and Addresses of the Contact Person for the registration"

Cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 02 May 2011 14:22:38 +0300

> When the last call has ended I will update the draft with the changes
Thanks for considering and intention to incorporate my comments.

Mykyta Yevstifeyev